body {
    background: #f1f1f1;
    font-family: 'Roboto', sans-serif;
}

.barra {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: 0px;
    color: white;
    font-size: 24px;
    background-color: #3498DB;
    position: fixed;
    top: 0px;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.barra .redes {
    margin-left: 20px;
}

.barra .logo {
    flex: 1;
    text-align: center;
}

.barra .jace-si {
    margin-right: 20px;
}

.social-icon {
    color: white;
    font-size: 26px;
    margin-right: 15px;
    transition: transform 0.3s;
}

.social-icon:hover {
    transform: scale(1.2);
    color: #16d1f2;
}

.imagen {
    height: 70px;
    width: 70px;
}

.main {
    padding-top: 140px;
    padding-bottom: 100px;
}

table {
    width: 100%;
    border-collapse: collapse;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    background-color: white;
}

thead {
    background-color: #3498DB;
    color: white;
}

th, td {
    padding: 10px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

th {
    font-weight: bold;
    font-size: 1rem;
}

tbody tr {
    transition: background-color 0.3s;
}

tbody tr:hover {
    background-color: #f1f1f1;
}

.form {
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 5px 0;
}

.encabezado {
    text-align: center;
    margin-top: 3px;
}

.botonCerrarPresupuesto {
    text-align: center;
    padding-top: 30px;
    padding-bottom: 15px;
    position: fixed;
    bottom: 30px;
    right: 90px;
    left: 90px;
    z-index: 99;
}

.btn {
    border-radius: 5px;
    padding: 10px 25px;
    font-size: 16px;
    transition: background-color 0.3s, transform 0.3s;
    margin: 0 10px;
}

.btn-success {
    background-color: #28a745;
    color: white;
}

.btn-success:hover {
    background-color: #218838;
    transform: scale(1.05);
}

.btn-primary {
    background-color: #007bff;
    color: white;
}

.btn-primary:hover {
    background-color: #0056b3;
    transform: scale(1.05);
}

.btn-danger {
    background-color: #dc3545;
    color: white;
}

.btn-danger:hover {
    background-color: #c82333;
    transform: scale(1.05);
}

.conversor {
    font-size: 21px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 980px;
    height: auto;
    background-color: #fff;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    padding: 20px;
    border-radius: 15px;
}

.modal-dialog {
    max-width: 100%;
    margin: 0; 
}

.modal-content {
    border: none;
    border-radius: 0;
    width: 100%;
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 10px;
    border-bottom: 1px solid #ccc;
    font-weight: bold;
}

.modal-title {
    font-size: 1.5rem;
    margin: 0;
}

.close {
    background-color: transparent;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
}

.modal-body {
    margin-top: 20px;
    padding: 10px 0;
    font-size: 1rem;
    overflow-y: auto;
    max-height: 300px; 
    padding-right: 15px;
}

.modal-body::-webkit-scrollbar {
    width: 0;
}

.modal-footer {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}
.form-check-input {
    width: 30px;
    height: 30px;
}

@media screen and (max-width: 1300px) {
    .btn_menu {
        cursor: pointer;
        padding: 10px;
        padding-left: 30px;
        padding-bottom: 5px;
        font-size: 30px;
        color: white;
        display: block;
    }

    #myDIV {
        display: none;
    }

    #boton {
        display: block;
    }
}

@media screen and (max-width: 1000px) {
    .table {
        border: 0px;
        background-color: white;
    }

    .table thead {
        display: none;
    }

    .table tr {
        margin-bottom: 8px;
        border-bottom: 6px solid #3498DB;
        padding-bottom: 20px;
        display: block;
    }

    .table th,
    table td {
        font-size: 16px;
        display: block;
        border-bottom: 1px solid white;
        text-align: right;
    }

    .table td:last-child {
        border-bottom: 0px;
    }

    .table td::before,
    .table th::before {
        content: attr(data-label);
        float: left;
    }

    .encabezado {
        font-size: 22px;
    }
}

@media screen and (max-width: 600px) {
    .barra {
        font-size: 18px;
    }

    .imagen {
        height: 60px;
        width: 60px;
    }

    .user {
        font-size: 20px;
    }

    .barra-lateral {
        width: 100%;
    }

    .dropdown-menu {
        margin-right: 105px;
    }

    .botonCerrarPresupuesto {
        right: 0px;
        left: 0px;
    }
}
